Kerbal Space Program - Bug #22968

Heatshield Collider is larger than the actual part
06/21/2019 10:01 PM - someigee

Status: Needs Clarification Start date: 06/21/2019
Severity: Low % Done: 0%
Assignee:
Category: Bug Tracker
Target version:
Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description
Description

The Collider of the Heatshield is bigger than the part. This is most likely due to the Heatshield always using the Collider of it with its
shroud on, even when the shroud is off.

Images

This is a link to an Imgur Album showing the bug: https:/imgur.com/a/nztH4kF

How to reproduce:

1)Put a heatshield on the back of a craft and attach a docking port to the bottom node of the heatsheild

2)Turn Shroud off on the heatshield

3)Attach a Docking Port (Which will be referred to from here on out as DP2) to the Heatshield Docking Port (Which will be called
DP1) to create a vehicle that can be docked and undocked from the main craft

4)Attach a fairing to the bottom of DP2 and clip it down as little/much as you want.

5)Build the fairing out to a length where it closes on the heatshield.

6)Attempt to Undock and Re-dock DP2 to DP1 while the fairing is still intact.

Test Craft used in this report download Link:
In the files Section

The Bug Test Quicksave Link:
https://drive.google.com/file/d/11xAjFi8QHZuDMUUKYXIr4aKX0_VhL1kz/view?usp=sharing"

Related issues:

Has duplicate Kerbal Space Program - Bug #22821: Heatshield Collider is large... Duplicate 06/08/2019

History

#1 - 06/24/2019 09:14 AM - diomedea

- Status changed from New to Needs Clarification

There are a few things requiring clarification about this issue.

1. The Test Craft provided shows to depend on some add-ons (it warns to require some non-stock modules); anyway once loaded shows to have
parts heavily displaced. The relative position of parts seems to be at the core of the issue reported, so any manual displacement hides the needed
evidence. Recommend to provide a simpler craft, with just the minimum of parts needed to show the issue, avoiding all parts modded and any use of
the editor gizmo tools.

2. A collider is the bounding box where collisions are detected. Colliders are not visible in game, but can be tested against another collider: have any
of the heatshields lie on the runway or launchpad, they stand where the collider meets the runway/launchpad collider. All tests show heatshield
colliders are perfectly fine.

3. A stack node is where other parts can be stack joined. Attaching e.g. a docking port, means to use one of the stack nodes with the heatshield.
From what | could understand, the issue is about the position of stack nodes, not colliders. Please clarify if isn't what you mean.

4. Most heatshields have 3 stack nodes (their config file defines them): direct, bottom and top. Only the smallest size0 lacks the direct node. Position
of stack nodes is designed (as with all other parts) to have these parts fit correctly when in a stack. It seems the issue is about the vertical position of
the bottom node, as joining a part directly to it leaves some vertical separation. My understanding is that the bottom node needs to be lower so that
the heatshields doesn't sink within the next part (anyway the shroud covers the gap), though that vertical distance could have to be improved. But if
wanting to stack join a docking port to a heatshield, the correct choice would be to use the "direct" node, not the bottom one. The problem however is,

04/20/2024 1/2



https://imgur.com/a/nztH4kF
https://drive.google.com/file/d/11xAjFj8QHZuDmUUKYXlr4aKX0_VhL1kz/view?usp=sharing

direct node is hard to use because smaller than the top and bottom (so any part would first attach to the larger nodes): it requires some care. Only the
1.875m heatshield has the same size for all (but then, KSP doesn't have nodes of size 1.5, can't because that "size" is used as an index).

So, if | got it correctly, the issue is that the bottom node with heatshields is quite below the bottom of the part. There's another node (direct) that goes
the same direction, but to be used the larger nodes have to be occupied already. One trick indeed is to join any part to the top and bottom nodes, that
leaves only the direct node open. Now attach the docking port to the bottom of the heatshield, and only the "direct" node will be found free. Remove
the unneeded parts and you have your docking port attached properly.

#2 - 11/20/2019 04:13 PM - Robert.Keech
- Has duplicate Bug #22821: Heatshield Collider is larger than the actual part added

Files

[UC] Hawk Capsule + Trunk Gutted.craft 167 KB 06/21/2019 somelgee
